Debian Bug report logs - #709925
RFP: zotero-dataserver -- dataserver for the zotero client

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: westlake <westlake2012@videotron.ca>

Date: Sun, 26 May 2013 20:03:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#709925; Package wnpp. (Sun, 26 May 2013 20:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to westlake <westlake2012@videotron.ca>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org.

Your message had a Version: pseudo-header with an invalid package version:

N/A

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sun, 26 May 2013 20:03:06 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: westlake <westlake2012@videotron.ca>
To: submit@bugs.debian.org
Subject: RFP: zotero
Date: Sun, 26 May 2013 15:59:41 -0400
Package: wnpp
Version: N/A
Severity: wishlist

* Package name: zotero
Version: 4.0
Upstream Author: George Mason University
* URL : http://www.zotero.org
* License : (LGPL, closed)
Description:

A powerful citation tool. (But can also be used as a powerufl bookmark 
manager with notation capabilties. Provides bookmarks.html import and 
export)

Zotero.org server is not required. Zotero webbrowser plugin can be set 
to use 'standalone binary'.

Standalone binary uses a local datastore. Compare to 'server'.

The zotero 'server' is optionally supported with the webbrowser plugin. 
The server can be from zotero.org or from a privately owned zotero 
server. The privately zotero server code from github but still looks 
experimental (it uses .php and apache)..

Links of interest
http://www.zotero.org/ (main homepage, hosts runnable Linux tarballs)
https://github.com/zotero
http://en.wikipedia.org/wiki/Zotero

http://www.zotero.org/support/dev/dataserver_setup  (Has instructions 
but seems outdated.. This is the private zotero server code, there may 
be more updated instructions lurking in googlegroups.  The software 
works perfectly fine with the standalone binary+webbrowser plugin 
firefox, and others)

https://groups.google.com/forum/?fromgroups#!forum/zotero-dev

Software is very stable and useful for researchers/journalists.. can 
also be used for it's other capabilities..(provides a quick citation 
template for wikipedia/mediawiki.. is very rich on 'export' formats)

I think this is worth the effort of packaging, the program looks well 
made and very useful. I actually think it's kickbutt, debian needs more 
software like this :)

-Scott



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#709925; Package wnpp. (Tue, 28 May 2013 22:51:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Ramacher <sramacher@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 28 May 2013 22:51:12 GMT) Full text and rfc822 format available.

Message #10 received at 709925@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <sramacher@debian.org>
To: westlake <westlake2012@videotron.ca>, 709925@bugs.debian.org
Subject: Re: Bug#709925: RFP: zotero
Date: Wed, 29 May 2013 00:47:17 +0200
[Message part 1 (text/plain, inline)]
Hi Scott

On 2013-05-26 15:59:41, westlake wrote:
> * Package name: zotero
> Version: 4.0
> Upstream Author: George Mason University
> * URL : http://www.zotero.org
> * License : (LGPL, closed)
> Description:
> 
> A powerful citation tool. (But can also be used as a powerufl
> bookmark manager with notation capabilties. Provides bookmarks.html
> import and export)

The standalone binary of zotero [1] and the browser plugin [2] are already
packaged. Do these two packages already satisfy your request or do you
want to request packaging of the server component instead?

Regards

[1] http://packages.debian.org/source/sid/zotero-standalone-build
[2] http://packages.debian.org/source/sid/xul-ext-zotero
-- 
Sebastian Ramacher
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#709925; Package wnpp. (Sun, 02 Jun 2013 11:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Ramacher <sramacher@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 02 Jun 2013 11:00:08 GMT) Full text and rfc822 format available.

Message #15 received at 709925@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <sramacher@debian.org>
To: westlake <westlake2012@videotron.ca>, 709925@bugs.debian.org
Subject: Re: Bug#709925: RFP: zotero
Date: Sun, 2 Jun 2013 12:57:45 +0200
[Message part 1 (text/plain, inline)]
Control: retitle -1 RFP: zotero-dataserver -- dataserver for the zotero client

[Please keep the bug in CC.]

On 2013-05-29 16:25:15, westlake wrote:
> From the way I understand it, there's a remote server that can be used from
> 
>  1) zotero.org or 2) dataserver (github)
> 
> I have no idea how stable the server is for the dataserver from
> github, but I'll be finding out..
> 
> ---
> To distract any confusion.. and to separate the above 1) and 2),
> there's a #3
> 
> 3)There's also somewhat of a non-remote server (pseudo).. The
> "plugin" for Firefox does what the "standalone" does.
> 
> There is a warning in the documents online that the "standalone"
> should not be used with the Firefox's plugin.. especially since this
> plugin can be in a mode called httpserver (it can only be set with
> it's about:config advanced settings)(
> http://www.zotero.org/support/kb/httpserver_enabled ).. To my
> understanding this httpserver listens on localhost only
> 
> ..
> #3 The httpserver is run from Firefox and allows another
> browser('connector' plugin) such as Chrome's zotero plugin to
> connect to the Zotero store inside Firefox.
> 
> In this scenario, two webbrowsers are used if someone wants to use
> their Favorite browser being 'Chrome', but doesn't want to use the
> standalone app.
> 
> This seems a bit ridiculous, but I think the reason for this is
> because this tools seems to be targetting University campus machines
> where not all users can run their own standalone app.
> 
> The zotero 'datastore' for the Firefox plugin is within the .mozilla
> folder of a user. If one installs the plugin for Firefox after
> having used the standalone app, then when Firefox is started up the
> first time with its zotero plugin, it offers to import data from the
> standalone ~/.zotero location.
> 
> The micro httpserver here is not a sync server, but is just a local
> datastore
> ..
> 
> It's a bit of mumbojumbo, but the idea of a "server" to sync with
> would deal with 1) or 2).. The 3) though saying there's an
> httpserver enabling possible, is not a sync server but just for a
> localhost connector on the same desktop
> --
> 
> Substracting #3 and completely ignoring this micro "httpserver"..
> 
> The bundling of the dataserver(2) is a great idea, I'd be interested
> in trying that out :)
> 
> According to a user from the googlegroups, he's documented work for
> the dataserver on debian wheezy
> 
> https://github.com/sualk/dataserver/wiki/Installation-Instructions-for-Debian-Wheezy
> 
> https://groups.google.com/forum/?fromgroups#!topic/zotero-dev/p5Mlvnw3nXY
> 
> According to Flittner's googlegroups's post, the client's .js (I'm
> guessing this applies to either the standalone app or chrome's
> connector plugin) there's the REPOSITORY_URL which can be changed.
> I've seen old documentation of having to use an ugly workaround
> using /etc/hosts .. If it's too much trouble, I guess you can
> probably just leave the dataserver as a -dev package..
> 
> I would be happy enough to have the 'standalone' app being able to
> perform a sync. (I believe it's possible for the Chrome plugin to
> instantiate a sync on the standalone app's behalf.. but this plugin
> would need to be re-edited in order to do this.  The firefox plugin
> keeps it's own datastore within the .mozilla folder. The Firefox
> plugin and the standalone app are exact replicas including their
> 'sync' configuration tab. So it's possible for zotero in Firefox to
> be used with a 2), but it too would need to be edited because it's
> always pointing to 1), the zotero.org server for the sync.
> 
> The zotero dataserver looks comprehensibly possible, but it looks
> like it can take some time. Flittner did a great job documenting his
> work which should really accerelate this process (It looks like it
> needs php, perl, and mysql.. I believe it's possible to use it with
> other database engines)
> 
> It's up to you if you'd like to modify or provide something so that
> the zotero plugins can work with 2)..
> 
> Thanks for picking up the request! :)

Sorry, I should have made myself clear and said that I'm not particularly
interested in zotero. I just wanted to clarify the nature of the request
as the standalone app and the plugin are already packaged.

As I understand it, it would be nice to have the zotero dataserver
packaged so one can use zotero independent of the zotero.org server. So
let's retitle the bug to make it clear it's about the dataserver.
Hopefully someone picks up the request. You may want to talk to the
maintainers of xul-ext-zotero and zotero-standalone and check if they
are interested in it.

Regards
-- 
Sebastian Ramacher
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'RFP: zotero-dataserver -- dataserver for the zotero client' from 'RFP: zotero' Request was from Sebastian Ramacher <sramacher@debian.org> to 709925-submit@bugs.debian.org. (Sun, 02 Jun 2013 11:00:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#709925; Package wnpp. (Mon, 03 Jun 2013 09:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to westlake <westlake2012@videotron.ca>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Jun 2013 09:39:09 GMT) Full text and rfc822 format available.

Message #22 received at 709925@bugs.debian.org (full text, mbox):

From: westlake <westlake2012@videotron.ca>
To: 709925@bugs.debian.org
Subject: license is incorrect
Date: Mon, 03 Jun 2013 03:19:34 -0400
(AGPL)
(I don't think there's any closed parts)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:03:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.